<template>
  <FormControl
    id="cvUpload"
    label="Your CV"
    :required="true"
    class="label-left"
  >
    <input type="file" @change="_previewFiles" accept=".pdf, .doc, .docx" />
    <span v-if="file.error">{{ file.error }}</span>
  </FormControl>
</template>

<script>
import FormControl from "./FormControl";
export default {
  name: "FormFileUpload",
  components: { FormControl },
  data: function() {
    return {
      file: {
        name: "",
        error: "",
        allowedSize: 5
      }
    };
  },
  methods: {
    _previewFiles(event) {
      const _file = event.target.files[0];

      if (_file) {
        const fileSizeMB = _file.size / (1024 * 1024);

        if (fileSizeMB > 5) {
          this.file.error = `file is bigger than ${this.allowedSize}mb`;
        } else {
          this.cvFile = _file;
        }
      }
    }
  }
};
</script>

<style lang="scss"></style>
